﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Drawing;
using Telerik.Charting;
using Telerik.Web.UI;
using Telerik.Charting.Styles;
using System.Collections.Generic;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadChart chart = RadChart1;

        chart.PlotArea.YAxis.AutoScale = false;
        chart.PlotArea.YAxis.AddRange(0, 10, 1);
        chart.PlotArea.XAxis.Visible = Telerik.Charting.Styles.ChartAxisVisibility.False;

        ChartSeries series = chart.GetSeries(0);
        series.Clear();

        ChartAxisItemsCollection items = chart.PlotArea.XAxis.Items;
        items.Clear();

        ulong totalResponses = 0;

        DataTable dt = new DataTable();
        dt.Columns.Add("answer", typeof(string));
        dt.Columns.Add("answerCount", typeof(int));

        DataRow dr = dt.NewRow();
        dr["answer"] = "Test Answer Test Answer Test Answer Test Answer";
        dr["answerCount"] = 5;
        dt.Rows.Add(dr);

        DataRow dr2 = dt.NewRow();
        dr2["answer"] = "Test Answer Test Answer Test Answer Test Answer 2";
        dr2["answerCount"] = 7;
        dt.Rows.Add(dr2);

        DataRow dr3 = dt.NewRow();
        dr3["answer"] = "Test Answer Test Answer Test Answer Test Answer 3";
        dr3["answerCount"] = 2;
        dt.Rows.Add(dr3);

        foreach (DataRow dataRow in dt.Rows)
        {
            string label = (string)dataRow["answer"];
            double value = Convert.ToDouble(dataRow["answerCount"]);
            totalResponses += (ulong)value;

            ChartAxisItem item = new ChartAxisItem();
            item.TextBlock.Text = label;
            items.Add(item);

            series.AddItem(value, label + " - (#%)");
        }

        series.Name = string.Empty;
        chart.ChartTitle.TextBlock.Text = "Long question text Long question text Long question text Long question text Long question text Long question text Long question text Long question text";
    }
}